Gets store
GET
/api/v2.0/stores/{storeId}
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://api.diller.app/api/v2.0/stores/your-store-id"), Headers = { { "Authorization", "Bearer <token>" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://api.diller.app/api/v2.0/stores/your-store-id"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder() .url("https://api.diller.app/api/v2.0/stores/your-store-id") .get() .addHeader("Authorization", "Bearer <token>") .build();
Response response = client.newCall(request).execute();import axios from 'axios';
const options = { method: 'GET', url: 'https://api.diller.app/api/v2.0/stores/your-store-id', headers: {Authorization: 'Bearer <token>'}};
try { const { data } = await axios.request(options); console.log(data);} catch (error) { console.error(error);}const url = 'https://api.diller.app/api/v2.0/stores/your-store-id';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.diller.app/api/v2.0/stores/your-store-id \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”storeId
required
string
The id of the store
Example
your-store-idResponses
Section titled “Responses”OK
Media typeapplication/json
object
id
string
tax_number
string
external_id
string
store_name
string
phone
object
country_code
required
string
number
required
string
email
string
address
object
street
string
city
string
zip_code
string
state
string
country_code
The alpha-2 code of country
string
currency
string
time_zone
string
culture
string
stamps_enabled
boolean
friend_referral_enabled
boolean
points_system
object
enabled
boolean
friend_referral_points
integer format: int32
follower_signup_points
integer format: int32
currency_points_ratio
number format: float
member_identifier
DEPRECATED: Use ‘MemberIdentifiers’ instead as they support multiple identifiers
object
type
Defines an additional property by which a member can be searched. For example: plate Id, National Id, etc.
string
is_unique_per_country
Defines whether the member identifier value should be unique per country
boolean
member_identifiers
Array<object>
object
id
integer format: int32
type
Defines an additional property by which a member can be searched. For example: plate Id, National Id, etc.
string
is_unique_per_store
Indicates whether the identifier value must be unique within the store.
boolean
is_unique_per_member
Indicates whether a member can have more than one value per identifier type.
boolean
hide_for_members
Determines if this identifier type is hidden from members in the portal.
boolean
privacy_policy_url
string
Examplegenerated
{ "id": "example", "tax_number": "example", "external_id": "example", "store_name": "example", "phone": { "country_code": "example", "number": "example" }, "email": "example", "address": { "street": "example", "city": "example", "zip_code": "example", "state": "example", "country_code": "example" }, "currency": "example", "time_zone": "example", "culture": "example", "stamps_enabled": true, "friend_referral_enabled": true, "points_system": { "enabled": true, "friend_referral_points": 1, "follower_signup_points": 1, "currency_points_ratio": 1 }, "member_identifier": { "type": "example", "is_unique_per_country": true }, "member_identifiers": [ { "id": 1, "type": "example", "is_unique_per_store": true, "is_unique_per_member": true, "hide_for_members": true } ], "privacy_policy_url": "example"}Bad Request
Media typeapplication/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
errors
object
key
additional properties
Array<string>
key
additional properties
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "errors": { "additionalProperty": [ "example" ] }}